## systemd 44

=== src/Makefile ===
#  This file is part of systemd.
#
#  Copyright 2010 Lennart Poettering
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  systemd is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#  General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with systemd; If not, see <http://www.gnu.org/licenses/>.

# This file is a dirty trick to simplify compilation from within
# emacs. This file is not intended to be distributed. So, don't touch
# it, even better ignore it!

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

.PHONY: all clean

=== test/Makefile ===
# Just a little hook script to easy building when in this directory

all:
	$(MAKE) -C ..

clean:
	$(MAKE) -C .. clean

## systemd 37

=== debian/changelog ===
systemd (37-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream version
  * Change the type of the debian-fixup service to oneshot.
    Closes: #642961
  * Add ConditionPathIsDirectory to lib-init-rw.automount and
    lib-init-rw.mount so we only activate the unit if the directory
    exists.  Closes: #633059
  * If a sysv service exists in both rcS and rcN.d runlevels, drop the
    rcN.d ones to avoid loops.  Closes: #637037
  * Blacklist fuse init script, we do the same work already internally.
    Closes: #643700
  * Update README.Debian slightly for /run rather than /lib/init/rw

  [ Josh Triplett ]
  * Do a one-time migration of the $TMPTIME setting from /etc/default/rcS to
    /etc/tmpfiles.d/tmp.conf. If /etc/default/rcS has a TMPTIME setting of
    "infinite" or equivalent, migrate it to an /etc/tmpfiles.d/tmp.conf that
    overrides the default /usr/lib/tmpfiles.d/tmp.conf and avoids clearing
    /tmp.  Closes: #643698

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 28 Sep 2011 20:04:13 +0200

systemd (36-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream release. Closes: #634618
    - Various man page fixes. Closes: #623521
  * Add debian-fixup service that symlinks mtab to /proc/mounts and
    migrates /var/run and /var/lock to symlinks to /run

  [ Michael Biebl ]
  * Build for libnotify 0.7.
  * Bump Build-Depends on libudev to (>= 172).
  * Add Build-Depends on libacl1-dev. Required for building systemd-logind
    with ACL support.
  * Split libsystemd-login and libsystemd-daemon into separate binary
    packages.
  * As autoreconf doesn't like intltool, override dh_autoreconf and call
    intltoolize and autoreconf ourselves.
  * Add Build-Depends on intltool.
  * Do a one-time migration of the hwclock configuration. If UTC is set to
    "no" in /etc/default/rcS, create /etc/adjtime and add the "LOCAL" setting.
  * Remove /cgroup cleanup code from postinst.
  * Add Build-Depends on gperf.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 14 Sep 2011 08:25:17 +0200

systemd (29-1) unstable; urgency=low

  [ Tollef Fog Heen ]
  * New upstream version, Closes: #630510
    - Includes typo fixes in documentation.  Closes: #623520
  * Fall back to the init script reload function if a native .service file
    doesn't know how to reload.  Closes: #628186
  * Add hard dependency on udev.  Closes: #627921

  [ Michael Biebl ]
  * hwclock-load.service is no longer installed, so we don't need to remove it
    anymore in debian/rules.
  * Install /usr/lib directory for binfmt.d, modules-load.d, tmpfiles.d and
    sysctl.d.
  * Remove obsolete conffiles from /etc/tmpfiles.d on upgrades. Those files
    are installed in /usr/lib/tmpfiles.d now.
  * Depend on util-linux (>= 2.19.1-2) which provides whole-disk locking
    support in fsck and remove our revert patch.
  * Don't choke when systemd was compiled with a different CAP_LAST_CAP then
    what it is run with. Patch cherry-picked from upstream Git.
    Closes: #628081
  * Enable dev-hugepages.automount and dev-mqueue.automount only when enabled
    in kernel. Patch cherry-picked from upstream Git.  Closes: #624522

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 08 Jun 2011 16:14:31 +0200

systemd (25-2) experimental; urgency=low

  * Handle downgrades more gracefully by removing diversion of
    /lib/lsb/init-functions on downgrades to << 25-1.
  * Cherry-pick a133bf10d09f788079b82f63faa7058a27ba310b from upstream,
    avoids assert when dumping properties.  Closes: #624094
  * Remove "local" in non-function context in init-functions wrapper.

 -- Tollef Fog Heen <tfheen@debian.org>  Wed, 27 Apr 2011 22:20:04 +0200

systemd (25-1) experimental; urgency=low

  * New upstream release, target experimental due to initscripts
    dependency.
    - Fixes where to look for locale config.  Closes: #619166
  * Depend on initscripts >= 2.88dsf-13.4 for /run transition.
  * Add Conflicts on klogd, since it doesn't work correctly with the
    kmg→/dev/log bridge.  Closes: #622555
  * Add suggests on Python for systemd-analyze.
  * Divert /lib/lsb/init-functions instead of (ab)using
    /etc/lsb-base-logging.sh for diverting calls to /etc/init.d/*
  * Remove obsolete conffile /etc/lsb-base-logging.sh.  Closes: #619093
  * Backport 3a90ae048233021833ae828c1fc6bf0eeab46197 from master:
    mkdir /run/systemd/system when starting up

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 24 Apr 2011 09:02:04 +0200

systemd (20-1) unstable; urgency=low

  * New upstream version
  * Install systemd-machine-id-setup
  * Call systemd-machine-id-setup in postinst
  * Cherry-pick b8a021c9e276adc9bed5ebfa39c3cab0077113c6 from upstream to
    prevent dbus assert error.
  * Enable TCP wrapper support.  Closes: #618409
  * Enable SELinux support.  Closes: #618412
  * Make getty start after Apache2 and OpenVPN (which are the only two
    known users of X-Interactive: yes).  Closes: #618419

 -- Tollef Fog Heen <tfheen@debian.org>  Fri, 11 Mar 2011 19:14:21 +0100

systemd (19-1) experimental; urgency=low

  * New upstream release
  * Add systemd-tmpfiles to systemd package.
  * Add ifup@.service for handling hotplugged interfaces from
    udev.  Closes: #610871
  * Mask mtab.service and udev-mtab.service as they are pointless when
    /etc/mtab is a symlink to /proc/mounts
  * Add breaks on lvm2 (<< 2.02.84-1) since older versions have udev rules
    that don't work well with systemd causing delays on bootup.

 -- Tollef Fog Heen <tfheen@debian.org>  Thu, 17 Feb 2011 07:36:22 +0100

systemd (17-1) experimental; urgency=low

  [ Tollef Fog Heen ]
  * New upstream release
  * Clarify ifupdown instructions in README.Debian somewhat.
    Closes: #613320
  * Silently skip masked services in lsb-base-logging.sh instead of
    failing.  Initial implementation by Michael Biebl.  Closes: #612551
  * Disable systemd-vconsole-setup.service for now.

  [ Michael Biebl ]
  * Bump build dependency on valac-0.10 to (>= 0.10.3).


=== debian/control ===
Source: systemd
Section: admin
Priority: extra
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.9.1
Vcs-Git: git://git.err.no/systemd/
Vcs-Browser: http://git.err.no/cgi-bin/gitweb.cgi?p=systemd;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 7.0.50),
               libcap-dev,
               pkg-config,
               libudev-dev (>= 172),
               libdbus-1-dev (>= 1.3.2~),
               libdbus-glib-1-dev,
               libgtk2.0-dev,
               valac-0.12 (>= 0.12),
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               libpam0g-dev,
               libnotify-dev (>= 0.7.0),
               libaudit-dev,
               dh-autoreconf,
               intltool,
               libcryptsetup-dev (>= 2:1.2.0),
               libwrap0-dev,
               libselinux1-dev,
               libacl1-dev,
               gperf

Package: systemd
Architecture: linux-any
Section: admin
Priority: extra
Recommends: libpam-systemd
Suggests: systemd-gui, python
Depends: ${shlibs:Depends}, ${misc:Depends}, util-linux (>= 2.19.1-2), initscripts (>= 2.88dsf-13.3), udev
Breaks: lvm2 (<< 2.02.84-1)
Conflicts: klogd
Description: system and service manager
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.

Package: systemd-sysv
Architecture: linux-any
Section: admin
Priority: extra
Conflicts: sysvinit, upstart, runit-run
Replaces: sysvinit
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - SysV links
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit.

Package: libpam-systemd
Architecture: linux-any
Section: admin
Priority: extra
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy

Package: systemd-gui
Architecture: linux-any
Section: admin
Priority: extra
Depends: systemd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - GUI
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the graphical frontend for systemd.

Package: libsystemd-login0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.

Package: libsystemd-login-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-login0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library - development files
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This package contains the development files

Package: libsystemd-daemon0
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.

Package: libsystemd-daemon-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-daemon0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library - development files
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This package contains the development files

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-rootdir= \
		--with-rootlibdir=/lib \
		--with-udevrulesdir=/lib/udev/rules.d \
		--enable-gtk \
		--enable-libcryptsetup \
		--enable-tcpwrap \
		--enable-selinux

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/*.[1358]
	rm -f src/systemadm.c
	rm -f src/gnome-ask-password-agent.c
	rm -f src/systemd-interfaces.c

override_dh_install:
	rm debian/tmp/usr/share/doc/systemd/LICENSE
	rm debian/tmp/lib/security/pam_systemd.la
	rm debian/tmp/usr/lib/*.la
	rm debian/tmp/lib/systemd/system/sysinit.target.wants/systemd-vconsole-setup.service
	chmod +x debian/debian-fixup
	dh_install -O--parallel --fail-missing
	dh_install -plibpam-systemd debian/pam-configs /usr/share
	dh_install debian/ifup@.service /lib/systemd/system

autoreconf:
	intltoolize -f
	autoreconf -f -i

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

%:
	dh $@ --parallel --with autoreconf

## systemd 44

=== debian/changelog ===
systemd (44-10ubuntu1) raring; urgency=low
  
  * Split logind into its own binary package, for use on non-systemd systems.
  * Drop the systemd binary package from the build.
  * Drop the systemd-gui package, not usable without systemd.
  * Have logind declare a Replaces: on systemd for the moved files, even
    though we're not shipping the systemd binary package in Ubuntu.
  * libpam-systemd should depend on logind, not on systemd.
  * Enable pam_systemd use on non-systemd systems.
  * cherry-pick from upstream to fix build with eglibc 2.17.
  * export V=1 so we get meaningful build logs.
  * Don't build systemd-sysv package on Ubuntu.
  * Split hostname, locale, and timedate services into a new binary package,
    systemd-services.
  * Fix up dbus service definitions to work when not started by systemd.
  * Adjust localed to use the Debian locations of /etc/default/locale and
    /etc/default/keyboard for locale data, not /etc/locale.conf and
    /etc/X11/xorg.conf.d/00-keyboard.conf.
  * Ditch the use of faketime; it's in universe, and all it does in Ubuntu
    is segfault.  This may reduce the multiarch-friendliness of the library
    packages, but that's not actually needed here since nothing except logind
    is using those libraries anyway.
  * Move dbus services from /lib/systemd to /usr/lib/systemd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 17 Feb 2013 09:07:46 +0000

systemd (44-10) unstable; urgency=low

  * Team upload.
  * Using the return code of "systemctl is-enabled" to determine whether we
    enable a service or not is unreliable since it also returns a non-zero
    exit code for masked services. As we don't want to enable masked services,
    grep for the string "disabled" instead.

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 17:01:24 +0100

systemd (44-9) unstable; urgency=low

  * Team upload.
  * Fix typo in systemd.socket man page.  Closes: #700038
  * Use color specification in "systemctl dot" which is actually
    understood by dot.  Closes: #643689
  * Fix mounting of remote filesystems like NFS.  Closes: #673309
  * Use a file trigger to automatically enable service and socket units. A lot
    of packages simply install systemd units but do not enable them. As a
    result they will be inactive after the next boot. This is a workaround for
    wheezy which will be removed again in jessie.  Closes: #692150

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Feb 2013 13:35:39 +0100

systemd (44-8) unstable; urgency=low

  * Team upload.
  * Use comment=systemd.* syntax in systemd.mount man page. The
    mount/util-linux version in wheezy is not recent enough to support the new
    x-systemd* syntax. Closes: #697141
  * Don't enable persistent storage of journal log files. The journal in v44
    is not yet mature enough.

 -- Michael Biebl <biebl@debian.org>  Sat, 19 Jan 2013 20:05:05 +0100

systemd (44-7) unstable; urgency=low

  * Fix a regression in the init-functions hook wrt reload handling that was
    introduced when dropping the X-Interactive hack.  Closes: #696355

 -- Michael Biebl <biebl@debian.org>  Fri, 21 Dec 2012 00:00:12 +0100

systemd (44-6) unstable; urgency=low

  [ Michael Biebl ]
  * No longer ship the /sys directory in the systemd package since it is
    provided by base-files nowadays.
  * Don't run udev rules if systemd is not active.
  * Converting /var/run, /var/lock and /etc/mtab to symlinks is a one-time
    migration so don't run the debian-fixup script on every boot.

  [ Tollef Fog Heen ]
  * Prevent the systemd package from being removed if it's the active init
    system, since that doesn't work.

  [ Michael Biebl ]
  * Use a separate tmpfs for /run/lock (size 5M) and /run/user (size 100M).
    Those directories are user-writable which could lead to DoS by filling up
    /run.  Closes: #635131

 -- Michael Biebl <biebl@debian.org>  Sun, 16 Dec 2012 21:58:37 +0100

systemd (44-5) unstable; urgency=low

  * Team upload.

  [ Tollef Fog Heen ]
  * disable killing on entering START_PRE, START, thanks to Michael
    Stapelberg for patch.  This avoids killing VMs run through libvirt
    when restarting libvirtd.  Closes: #688635.
  * Avoid reloading services when shutting down, since that won't work and
    makes no sense.  Thanks to Michael Stapelberg for the patch.
    Closes: #635777.
  * Try to determine which init scripts support the reload action
    heuristically.  Closes: #686115, #650382.

  [ Michael Biebl ]
  * Update Vcs-* fields, the Git repository is hosted on alioth now. Set the
    default branch to "debian".
  * Avoid reload and (re)start requests during early boot which can lead to
    deadlocks.  Closes: #624599
  * Make systemd-cgroup work even if not all cgroup mounts are available on
    startup.  Closes: #690916
  * Fix typos in the systemd.path and systemd.unit man page.  Closes: #668344
  * Add watch file to track new upstream releases.

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Oct 2012 21:41:23 +0200

systemd (44-4) unstable; urgency=low

  [ Michael Biebl ]
  * Override timestamp for man page building, thereby avoiding skew
    between architectures which caused problems for multi-arch.
    Closes: #680011

  [ Tollef Fog Heen ]
  * Move diversion removal from postinst to preinst.  Closes: #679728
  * Prevent the journal from crashing when running out of disk space.
    This is 499fb21 from upstream.  Closes: #668047.
  * Stop mounting a tmpfs on /media.  Closes: #665943

 -- Tollef Fog Heen <tfheen@debian.org>  Sun, 01 Jul 2012 08:17:50 +0200

systemd (44-3) unstable; urgency=low

  [ Michael Biebl ]
  * Bump to debhelper 9.
  * Convert to Multi-Arch: same where possible.  Closes: #676615

  [ Tollef Fog Heen ]
  * Cherry-pick d384c7 from upstream to stop journald from leaking
    memory.  Thanks to Andreas Henriksson for testing.  Closes: #677701
  * Ship lsb init script override/integration in /lib/lsb/init-functions.d


=== debian/control ===
Source: systemd
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
Homepage: http://www.freedesktop.org/wiki/Software/systemd
Build-Depends: debhelper (>= 9),
               libcap-dev,
               pkg-config,
               libudev-dev (>= 172),
               libdbus-1-dev (>= 1.3.2~),
               libdbus-glib-1-dev,
               libgtk2.0-dev,
               valac (>= 0.12),
               xsltproc,
               docbook-xsl,
               docbook-xml,
               m4,
               libpam0g-dev,
               libnotify-dev (>= 0.7.0),
               libaudit-dev,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf (>= 2.63),
               intltool,
               libcryptsetup-dev (>= 2:1.2.0),
               libwrap0-dev,
               libselinux1-dev,
               libacl1-dev,
               liblzma-dev,
               libgee-dev,
               gperf,
               libkmod-dev (>= 5)

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: logind (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy

Package: logind
Architecture: linux-any
Section: admin
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus
Replaces: systemd
Description: systemd login manager
 This package contains a login manager for managing mapping of devices and
 seats for logged in users.

Package: libsystemd-login0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.

Package: libsystemd-login-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-login0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd login utility library - development files
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This package contains the development files

Package: libsystemd-daemon0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.

Package: libsystemd-daemon-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-daemon0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd utility library - development files
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This package contains the development files

Package: libsystemd-journal0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd journal utility library
 The libsystemd-journal library provides an interface for the
 systemd journal service.

Package: libsystemd-journal-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-journal0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libsystemd-id128-dev
Description: systemd journal utility library - development files
 The libsystemd-journal library provides an interface for the
 systemd journal service.
 .
 This package contains the development files

Package: libsystemd-id128-0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd 128 bit ID utility library
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.

Package: libsystemd-id128-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-id128-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: systemd 128 bit ID utility library - development files
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.
 .
 This package contains the development files

Package: systemd-services
Architecture: linux-any
Section: admin
Priority: extra
Replaces: systemd, ubuntu-system-service
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: systemd runtime services
 This package contains the locale and hostname runtime services from
 systemd, providing dbus interfaces for updating system locale settings
 and the hostname.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"
export V=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-rootprefix= \
		--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
		--with-udevrulesdir=/lib/udev/rules.d \
		--enable-gtk \
		--enable-libcryptsetup \
		--enable-tcpwrap \
		--enable-selinux \
                --disable-coredump \
		--with-distro=debian

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/*.[1358]
	rm -f src/systemadm.c
	rm -f src/gnome-ask-password-agent.c
	rm -f src/systemd-interfaces.c

override_dh_install:
	rm debian/tmp/usr/share/doc/systemd/LICENSE
	rm debian/tmp/lib/systemd/system/sysinit.target.wants/systemd-vconsole-setup.service
	find debian/tmp/ -name '*.la' -delete
	chmod +x debian/debian-fixup
	dh_install -O--parallel
	dh_install -plibpam-systemd debian/pam-configs /usr/share

autoreconf:
	intltoolize -f -c
	autoreconf -f -i

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

%:
	dh $@ --with autoreconf

## systemd 198

=== debian/changelog ===
systemd (198-0ubuntu3) raring; urgency=low

  * Add 0018-Add-env-variable-for-machine-ID-path.patch: During package build,
    in minimal chroots, or other systems which do not already have an
    /etc/machine-id we get six test failures. Introduce a
    $SYSTEMD_MACHINE_ID_PATH environment variable which can specify a location
    other than /etc/machine-id, so that the unit tests are independent from
    the environment.
  * debian/rules: Re-enable unit tests. Don't run them under fakeroot as that
    hangs some tests, and supply a local machine id file.
  * Add autopkgtests for hostnamed, localed, and timedated.
  * 0010-Add-back-support-for-Debian-specific-config-files.patch: Update patch
    for localed to use /etc/default/locale instead of /etc/locale.conf.
  * Rename udev-gtk-udeb to libudev1-udeb, and build it for Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 15 Mar 2013 11:37:45 +0100

systemd (198-0ubuntu2) raring; urgency=low

  * libgudev-1.0-dev: Don't depend on exact binary version of
    gir1.2-gudev-1.0, as libgudev-* have an epoch.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 13:45:13 +0100

systemd (198-0ubuntu1) raring; urgency=low

  FFE for new version and libudev1 soname bump: LP #1153224

  [ Michael Biebl ]
  * New upstream release with merged udev+systemd code bases.

  [ Martin Pitt ]
  * Split off new systemd-services binary package with logind, timedated,
    hostnamed, and localed. These can be used without the systemd init parts.
  * Add fallback to poweroff/reboot/pm-suspend/pm-hibernate if logind is
    running without systemd.
  * Clean up empty sessions when not running under systemd.
  * Add upstart job for logind.
  * Add Conflicts/Replaces/Provides for libpam-xdg-support and logind.
  * Disable udev and systemd packages for Ubuntu. udev (and its udebs) will be
    re-enabled once we apply our customizations from the standalone package,
    and the packages are confirmed to work. For systemd{,-sysv}, we need to
    decide whether or not we want these in universe.
  * Add epoch to libgudev packages for Ubuntu, as we had in udev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 10:46:40 +0100

=== debian/control ===
Source: systemd
Section: admin
Priority: extra
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-systemd/systemd.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-systemd/systemd.git;a=summary
X-Python-Version: >= 2.7
Homepage: http://www.freedesktop.org/wiki/Software/systemd
XS-Testsuite: autopkgtest
Build-Depends: debhelper (>= 9),
               libcap-dev,
               pkg-config,
               libdbus-1-dev (>= 1.3.2~),
               libglib2.0-dev (>= 2.22.0),
               xsltproc,
               docbook-xsl,
               docbook-xml,
               gtk-doc-tools,
               m4,
               libpam0g-dev,
               libaudit-dev,
               dh-autoreconf,
               automake (>= 1.11),
               autoconf (>= 2.63),
               intltool,
               libcryptsetup-dev (>= 2:1.4.2),
               libwrap0-dev,
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               libattr1-dev,
               liblzma-dev,
               gperf,
               libkmod-dev (>= 5),
               libblkid-dev (>= 2.20),
               libgirepository1.0-dev (>= 1.31.1),
               gobject-introspection (>= 1.31.1),
               python-dev,
               libgcrypt11-dev,
               libglib2.0-doc

Package: systemd
Architecture: linux-any
Section: admin
Priority: extra
Recommends: libpam-systemd
Suggests: systemd-gui
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         util-linux (>= 2.19.1-2),
         initscripts (>= 2.88dsf-17),
         systemd-services,
         udev
Breaks: lvm2 (<< 2.02.84-1),
        lsb-base (<< 4.1+Debian4)
Conflicts: klogd
Description: system and service manager
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.

Package: systemd-sysv
Architecture: linux-any
Section: admin
Priority: extra
Conflicts: sysvinit, upstart, runit-run
Replaces: sysvinit
Depends: systemd (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: system and service manager - SysV links
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package provides the manual pages and links needed for systemd
 to replace sysvinit.

Package: systemd-services
Architecture: linux-any
Section: admin
Priority: extra
Recommends: libpam-systemd
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus
Replaces: systemd (<< 198-1), logind, ubuntu-system-service
Breaks: systemd (<< 198-1)
Conflicts: logind
Provides: logind
Description: systemd runtime services
 This package contains the logind and D-BUS services (localed, hostname,
 timedated) from systemd.

Package: libpam-systemd
Architecture: linux-any
Multi-Arch: same
Section: admin
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: systemd-services (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libpam-xdg-support
Replaces: libpam-xdg-support
Provides: libpam-xdg-support
Description: system and service manager - PAM module
 systemd is a replacement for sysvinit.  It is dependency-based and
 able to read the LSB init script headers in addition to parsing rcN.d
 links as hints.
 .
 It also provides process supervision using cgroups and the ability to
 not only depend on other init script being started, but also
 availability of a given mount point or dbus service.
 .
 This package contains the PAM module which registers user sessions in
 the systemd control group hierarchy

Package: libsystemd-login0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd login utility library
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.

Package: libsystemd-login-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-login0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: systemd login utility library - development files
 The libsystemd-login library provides an interface for the
 systemd-logind service which is used to track user sessions and seats.
 .
 This package contains the development files

Package: libsystemd-daemon0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.

Package: libsystemd-daemon-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-daemon0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: systemd utility library - development files
 The sd-daemon library provides a reference implementation of various
 APIs for new-style daemons, as implemented by the systemd init system.
 .
 This package contains the development files

Package: libsystemd-journal0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd journal utility library
 The libsystemd-journal library provides an interface for the
 systemd journal service.

Package: libsystemd-journal-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-journal0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libsystemd-id128-dev
Description: systemd journal utility library - development files
 The libsystemd-journal library provides an interface for the
 systemd journal service.
 .
 This package contains the development files

Package: libsystemd-id128-0
Architecture: linux-any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: systemd 128 bit ID utility library
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.

Package: libsystemd-id128-dev
Architecture: linux-any
Section: libdevel
Depends: libsystemd-id128-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: systemd 128 bit ID utility library - development files
 The libsystemd-id128 library provides utility functions for generating
 128 bit IDs.
 .
 This package contains the development files

Package: udev
Architecture: linux-any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         util-linux (>= 2.16),
         s390-tools (>> 1.6.2) [s390]
Recommends: usbutils,
            pciutils
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libudev1
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.

Package: libudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libudev1 (= ${binary:Version})
Description: libudev development files
 This package contains the files needed for developing applications that
 use libudev.

Package: udev-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         util-linux-udeb
Description: /dev/ and hotplug management daemon
 udev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: libudev1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libudev shared library
 This library provides access to udev device information.
 .
 This is a minimal version, only for use in the installation system.

Package: libgudev-1.0-0
Section: libs
Priority: optional
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based wrapper library for libudev
 This library makes it much simpler to use libudev from programs already using
 GObject. It also makes it possible to easily use libudev from other
 programming languages, such as Javascript, because of GObject introspection
 support.

Package: gir1.2-gudev-1.0
Section: libs
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: libgudev-1.0 introspection data
 This package contains the GObject-introspection data of libgudev-1.0 in
 binary typelib format.

Package: libgudev-1.0-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgudev-1.0-0 (= ${binary:Version}),
         gir1.2-gudev-1.0,
         libglib2.0-dev,
         pkg-config
Description: libgudev-1.0 development files
 This package contains the files needed for developing applications that
 use libgudev-1.0.

Package: python-systemd
Section: python
Priority: extra
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: python bindings for the systemd journal
 This package contains Python bindings for the journal submission API.

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"

FLAVORS = deb udeb

VERSION = $(shell dpkg-parsechangelog | sed -n -e '/^Version:/s/.*: //p')

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFFLAGS = \
	--build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr \
	--sysconfdir=/etc \
	--localstatedir=/var \
	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--with-sysvinit-path=/etc/init.d \
	--with-sysvrcnd-path=/etc \
	--enable-libcryptsetup \
	--enable-tcpwrap \
	--disable-coredump \
	--disable-efi \
	--disable-myhostname \
	--disable-vconsole

CONFFLAGS_deb = \
	--enable-selinux \
	--enable-introspection \
	--enable-gtk-doc

CONFFLAGS_udeb = \
	--disable-selinux \
	--disable-introspection \
	--disable-gtk-doc \
	--disable-binfmt \
	--disable-readahead \
	--disable-bootchart \
	--disable-quotacheck \
	--disable-randomseed \
	--disable-logind \
	--disable-hostnamed \
	--disable-timedated \
	--disable-localed \
	--disable-polkit \
	--disable-acl \
	--disable-xattr \
	--disable-gudev \
	--disable-manpages \
	--without-python

# Ubuntu: udev transition to current version postponed to next release
# Ubuntu: systemd{,-sysv} not yet approved for universe
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
BINARY_BLACKLIST = -Nudev -Nudev-udeb -Nsystemd -Nsystemd-sysv
endif

override_dh_auto_configure: $(FLAVORS:%=debian/stamps/configure-%)
debian/stamps/configure-%:
	mkdir -p debian/build/$*
	mkdir -p debian/stamps/
	# workaround for gtk-doc sucking at oot builds
	tar cpf - . --exclude=debian | tar xpf - -C debian/build/$*
	cd debian/build/$* && ./configure $(CONFFLAGS) $(CONFFLAGS_$*)
	touch $@

override_dh_auto_build: $(FLAVORS:%=debian/stamps/build-%)
debian/stamps/build-%:
	# remove pre-generated man pages so they are rebuilt
	rm -f debian/build/$*/man/*.[13578]
	make -C debian/build/$*

override_dh_auto_install: $(FLAVORS:%=debian/stamps/install-%)
debian/stamps/install-%:
	make -C debian/build/$* install DESTDIR=$(CURDIR)/debian/install/$*

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/build/
	rm -rf debian/install/
	rm -rf debian/stamps/

override_dh_install:
	rm -f debian/install/*/usr/share/doc/systemd/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	find debian/install/ -name '*.la' -delete
ifeq (udeb ,$(filter udeb, $(FLAVORS)))
	dh_install -pudev-udeb -plibudev1-udeb --sourcedir=debian/install/udeb
	# udev-udeb
	install -D --mode=755 debian/extra/udev.startup \
		debian/udev-udeb/lib/debian-installer/start-udev
	install -D --mode=755 debian/extra/udev.base-installer \
		debian/udev-udeb/usr/lib/base-installer.d/05udev
endif
	dh_install -Nudev-udeb -Nlibudev1-udeb --sourcedir=debian/install/deb -O--parallel -Xetc/rpm/ --list-missing
	# install some files manually, --sourcedir makes that necessary
	# systemd
	cp -a debian/pam-configs debian/libpam-systemd/usr/share/
	install -D --mode=644 debian/init-functions.d/40-systemd \
		debian/systemd/lib/lsb/init-functions.d/40-systemd
	install --mode=644 debian/tmpfiles.d/debian.conf \
		debian/systemd/usr/lib/tmpfiles.d/
	install --mode=644 debian/debian-fixup.service debian/ifup@.service \
		debian/units/run-lock.mount debian/units/run-user.mount \
		debian/debian-enable-units.service \
		debian/systemd/lib/systemd/system/
	install --mode=644 debian/unit.blacklist \
		debian/systemd/usr/share/systemd/
	install --mode=755 debian/debian-fixup debian/debian-enable-units \
		debian/systemd/lib/systemd/
	# initramfs-tools support
	install -D --mode=755 debian/extra/initramfs.hook \
		debian/udev/usr/share/initramfs-tools/hooks/udev
	install -D --mode=755 debian/extra/initramfs.top \
		debian/udev/usr/share/initramfs-tools/scripts/init-top/udev
	install -D --mode=755 debian/extra/initramfs.bottom \
		debian/udev/usr/share/initramfs-tools/scripts/init-bottom/udev
	# TODO: use a script to find duplicates and remove them automatically
	# files shipped by systemd-sysv / sysvinit
	rm debian/systemd/usr/share/man/man1/init.1
	rm debian/systemd/usr/share/man/man8/halt.8
	rm debian/systemd/usr/share/man/man8/poweroff.8
	rm debian/systemd/usr/share/man/man8/reboot.8
	rm debian/systemd/usr/share/man/man8/shutdown.8
	rm debian/systemd/usr/share/man/man8/telinit.8
	rm debian/systemd/usr/share/man/man8/runlevel.8
	# files shipped by libpam-systemd
	rm debian/systemd/usr/share/man/man8/pam_systemd.8
	# files shipped by udev
	rm debian/systemd/lib/systemd/system/systemd-udev*
	rm debian/systemd/lib/systemd/system/*.target.wants/systemd-udev*
	rm debian/systemd/lib/systemd/systemd-udevd
	rm debian/systemd/usr/share/man/man7/udev.7
	rm debian/systemd/usr/share/man/man8/*udev*.8
	# files systemd by cryptsetup
	rm debian/systemd/usr/share/man/man5/crypttab.5
	# files shipped by systemd-services
	rm debian/systemd/etc/systemd/logind.conf
	rm debian/systemd/lib/systemd/systemd-logind
	rm debian/systemd/lib/systemd/systemd-hostnamed
	rm debian/systemd/lib/systemd/systemd-localed
	rm debian/systemd/lib/systemd/systemd-timedated
	rm debian/systemd/usr/share/man/man5/logind*
	rm debian/systemd/usr/share/man/man8/systemd-logind*
	rm debian/systemd/usr/share/man/man8/systemd-hostnamed*
	rm debian/systemd/usr/share/man/man8/systemd-localed*
	rm debian/systemd/usr/share/man/man8/systemd-timedated*
	rm debian/udev/lib/udev/rules.d/70-uaccess.rules
	rm debian/udev/lib/udev/rules.d/73-seat-late.rules
	rm debian/udev/lib/udev/rules.d/71-seat.rules
	# files shipped by systemd
	rm debian/udev/lib/udev/rules.d/99-systemd.rules

override_dh_makeshlibs:
	dh_makeshlibs -plibudev1 --add-udeb=libudev1-udeb
	dh_makeshlibs --remaining-packages

override_dh_installinit:
	dh_installinit --no-start -- start 03 S .
	dh_installinit --no-start --name=udev-mtab -- start 36 S .
	dh_installinit --name systemd-logind --upstart-only

autoreconf:
	cp -f /usr/share/gtk-doc/data/gtk-doc.make docs/
	intltoolize -f -c
	autoreconf -f -i

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_test:
	# some tests hang under fakeroot, so disable fakeroot
	echo "01234567890123456789012345678901" > debian/build/machine-id
	env -u LD_PRELOAD SYSTEMD_MACHINE_ID_PATH=$(CURDIR)/debian/build/machine-id \
		make -C debian/build/deb check

%:
	dh $@ --with autoreconf,python2

override_dh_gencontrol:
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo ubuntu),ubuntu)
	# Ubuntu has an epoch on gudev
	dh_gencontrol -plibgudev-1.0-0 -plibgudev-1.0-dev -- "-v1:$(VERSION)"
	dh_gencontrol $(BINARY_BLACKLIST) --remaining-packages
else
	dh_gencontrol $(BINARY_BLACKLIST)
endif

override_dh_builddeb:
	dh_builddeb $(BINARY_BLACKLIST)

=== debian/tests/control ===
Tests: timedated hostnamed localed
Depends: systemd-services
Restrictions: needs-root
